%define hgtag 59c10f2317a3
%define _mozillaextpath %{firefox_mozillapath}/extensions

Summary: Weave Sync
Name: firefox-ext-weave-sync
Version: 1.1
%define subrel 19
Release: %mkrel 5
License: MPLv1+
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/10868
Source: http://hg.mozilla.org/labs/weave/archive/%{hgtag}.tar.bz2
Patch0: weave-sync-system-nspr.patch
Patch1: weave-sync-use-xpcom.patch
Patch2: weave-sync-use-standard-variable.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: firefox = %{firefox_epoch}:%{firefox_version}
BuildRequires: firefox-devel
BuildRequires: xulrunner-devel
BuildRequires: zip

%description
Synchronize your bookmarks, history, tabs and passwords wherever you
go. Whether you use Firefox on your phone, laptop, or desktop, securely
access all your data.

%prep
%setup -qn weave-%{hgtag}
%patch0 -p0 -b .nspr
%patch1 -p0 -b .xpcom
%patch2 -p0 -b .var
rm -fr crypto/platform/

%build
export MOZSDKDIR=`pkg-config libxul --variable sdkdir`
%setup_compile_flags
make crypto rebuild_crypto=1
make xpi

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}
cd dist/xpi
unzip -q `ls *.xpi`

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %firefox_mozillapath
%{_mozillaextpath}


%changelog
* Thu Feb 02 2012 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.19mdv2010.2
- rebuilt for firefox-3.6.26

* Wed Dec 21 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.18mdv2010.2
- rebuilt for firefox-3.6.25

* Tue Nov 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.17mdv2010.2
- rebuilt for firefox-3.6.24

* Wed Sep 28 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.16mdv2010.2
- rebuilt for firefox-3.6.23

* Wed Sep 07 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.15mdv2010.2
- rebuilt for firefox-3.6.22

* Fri Sep 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.14mdv2010.2
- rebuilt for firefox-3.6.21

* Wed Aug 17 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.13mdv2010.2
- rebuilt for firefox-3.6.20

* Tue Jun 21 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.12mdv2010.2
- rebuilt for firefox-3.6.18

* Fri Apr 29 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.11mdv2010.2
- rebuilt for firefox-3.6.17

* Wed Apr 06 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.10mdv2010.2
- rebuilt for firefox-3.6.16

* Mon Mar 07 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.9mdv2010.2
- rebuilt for firefox-3.6.15

* Wed Mar 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.8mdv2010.2
- rebuilt for firefox-3.6.14

* Wed Mar 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.7mdv2010.2
- rebuilt for firefox-3.6.14

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.6mdv2010.1
- rebuilt for firefox-3.6.13

* Mon Nov 22 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.5mdv2010.1
- rebuilt for firefox-3.6.12

* Thu Oct 21 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.4mdv2010.1
- rebuilt for firefox-3.6.11

* Sun Sep 19 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.3mdv2010.1
- rebuilt for firefox-3.6.10

* Thu Sep 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.2mdv2010.1
- rebuilt for firefox-3.6.9

* Mon Aug 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-5.1mdv2010.1
- rebuilt for firefox-3.6.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1-5mdv2010.1
+ Revision: 549352
- rebuild with FF 3.6.6

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 1.1-4mdv2010.1
+ Revision: 531079
- rebuild

* Thu Mar 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-3mdv2010.1
+ Revision: 527394
- rebuilt against nss-3.12.6

* Wed Mar 24 2010 Funda Wang <fwang@mandriva.org> 1.1-2mdv2010.1
+ Revision: 526992
- rebuild

* Thu Mar 11 2010 Funda Wang <fwang@mandriva.org> 1.1-1mdv2010.1
+ Revision: 518065
- New version 1.1

* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 1.0-1mdv2010.1
+ Revision: 498533
- 1.0 final

* Mon Jan 25 2010 Funda Wang <fwang@mandriva.org> 1.0-0.rc3.1mdv2010.1
+ Revision: 495643
- Br zip
- correct license
- import firefox-ext-weave-sync


